Package org.drinkless.tdlib

# Class TdApi.CreateForumTopic

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ForumTopicInfo>
org.drinkless.tdlib.TdApi.CreateForumTopic

Enclosing class:
  `TdApi`

public static class TdApi.CreateForumTopic extends TdApi.Function<TdApi.ForumTopicInfo>
Creates a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator or canCreateTopics member right in the supergroup.

Returns `ForumTopicInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ForumTopicIcon`
  `icon`
  Icon of the topic.
  `boolean`
  `isNameImplicit`
  Pass true if the name of the topic wasn't entered explicitly; for chats with bots only.
  `String`
  `name`
  Name of the topic; 1-128 characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateForumTopic()`
  Default constructor for a function, which creates a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator or canCreateTopics member right in the supergroup.
  `CreateForumTopic(long chatId, String name, boolean isNameImplicit, TdApi.ForumTopicIcon icon)`
  Creates a function, which creates a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator or canCreateTopics member right in the supergroup.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat.

  - ### name

    public String name
    Name of the topic; 1-128 characters.

  - ### isNameImplicit

    public boolean isNameImplicit
    Pass true if the name of the topic wasn't entered explicitly; for chats with bots only.

  - ### icon

    public TdApi.ForumTopicIcon icon
    Icon of the topic. Icon color must be one of 0x6FB9F0, 0xFFD67E, 0xCB86DB, 0x8EEE98, 0xFF93B2, or 0xFB6F5F. Telegram Premium users can use any custom emoji as topic icon, other users can use only a custom emoji returned by getForumTopicDefaultIcons.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateForumTopic

    public CreateForumTopic()
    Default constructor for a function, which creates a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator or canCreateTopics member right in the supergroup.

    Returns `ForumTopicInfo`

  - ### CreateForumTopic

    public CreateForumTopic(long chatId, String name, boolean isNameImplicit, TdApi.ForumTopicIcon icon)
    Creates a function, which creates a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator or canCreateTopics member right in the supergroup.

    Returns `ForumTopicInfo`

    Parameters:
      `chatId` - Identifier of the chat.
      `name` - Name of the topic; 1-128 characters.
      `isNameImplicit` - Pass true if the name of the topic wasn't entered explicitly; for chats with bots only.
      `icon` - Icon of the topic. Icon color must be one of 0x6FB9F0, 0xFFD67E, 0xCB86DB, 0x8EEE98, 0xFF93B2, or 0xFB6F5F. Telegram Premium users can use any custom emoji as topic icon, other users can use only a custom emoji returned by getForumTopicDefaultIcons.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ForumTopicInfo>`
    Returns:
      this.CONSTRUCTOR